LSHMC(8)

NAME
lshmc - list HMC drive DVD contents

SYNOPSIS

lshmc [OPTIONS] [FILE]

DESCRIPTION
List files on a DVD in the DVD drive of the Hardware Management Console ( HMC ) . By default, the command lists all files in the root directory of the DVD . Use FILE to list a different set of files. FILE can specify the path, relative to the DVD root directory, for a directory and file and can contain the * and ? wildcard characters.

OPTIONS

-h, --help
    Print help text, then exit.

-v, --version
    Print version information, then exit.

-s, --short
    Print only regular files (no directories, symbolic links and special files), in a short listing format.

EXAMPLES
To list the files in a HMC drive DVD root directory use:

    # lshmc

In case the kernel module hmcdrv was not loaded in advance use:

    # modprobe hmcdrv
    # lshmc

To list all HTML files in subdirectory www use:

    # lshmc /www/*.html

DIAGNOSTICS
The lshmc command needs access to device node /dev/hmcdrv. This node is created automatically when the hmcdrv kernel module is loaded (see Linux kernel configuration option CONFIG_HMC_DRV ). The user process that runs the lshmc command must have sufficient privileges to read from and write to node /dev/hmcdrv. Use the commands chown(1), chgrp(1) and/or chmod(1) on node /dev/hmcdrv to ensure this condition.

SEE ALSO
ls(1), chown(1), chgrp(1), chmod(1) and Linux on System z: Device Drivers, Features and Commands